<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/head-lib.php');

// var

	$sql = dbquery("SELECT * FROM cv_experiences WHERE id_cv = '".$_SESSION['user']['id_cv']."' AND id_experience_cv= '".$_GET['id_experience']."' ");

	if(dbnumrows($sql)>0){
		$entreprise			 = dbresult($sql,0,'entreprise');
		$secteur_activite	 = dbresult($sql,0,'secteur_activite');
		$taille				 = dbresult($sql,0,'taille_entreprise');
		$fonction			 = dbresult($sql,0,'fonction');
		$csp				 = dbresult($sql,0,'csp');
		$date_debut			 = dbresult($sql,0,'date_debut');
		$date_fin			 = dbresult($sql,0,'date_fin');
		$lieu				 = dbresult($sql,0,'lieu');
		$descriptif			 = dbresult($sql,0,'descriptif');

	}

	else{
		$entreprise			 = '';
		$secteur_activite	 = '';
		$taille				 = '';
		$fonction			 = '';
		$csp				 = '';
		$date_debut			 = '';
		$date_fin			 = '';
		$lieu				 = '';
		$descriptif			 = '';
	}

// id_experience

	if(isset($_GET['id_experience']))	$id_experience = $_GET['id_experience'];
	else								$id_experience = "new";

// selected

	$_SELECT['select']['csp']				= str_replace('value="'.$csp.'"','value="'.$csp.'" selected ',$_SELECT['select']['csp']);
	$_SELECT['select']['secteur_activite']	= str_replace('value="'.$secteur_activite.'"','value="'.$secteur_activite.'" selected ',$_SELECT['select']['secteur_activite']);
	
	// date debut

	$_DATE_DEBUT = explode('-',$date_debut);
	$_SELECT['select']['debut_annee']				= str_replace('value="'.$_DATE_DEBUT[0].'"','value="'.$_DATE_DEBUT[0].'" selected ',$_SELECT['select']['debut_annee']);
	$_SELECT['select']['debut_mois']				= str_replace('value="'.$_DATE_DEBUT[1].'"','value="'.$_DATE_DEBUT[1].'" selected ',$_SELECT['select']['debut_mois']);

	// date fin
	if($date_fin == '0000-00-00'){
		$en_cours = 'checked';
	}
	else{
		$_DATE_FIN = explode('-',$date_fin);
		$_SELECT['select']['fin_annee']				= str_replace('value="'.$_DATE_FIN[0].'"','value="'.$_DATE_FIN[0].'" selected ',$_SELECT['select']['fin_annee']);
		$_SELECT['select']['fin_mois']				= str_replace('value="'.$_DATE_FIN[1].'"','value="'.$_DATE_FIN[1].'" selected ',$_SELECT['select']['fin_mois']);
		$en_cours = '';
	}

	if(isset($_GET['id_experience']))	{$id_experience = $_GET['id_experience'];}
	else								{$id_experience = "new";$en_cours = '';}
	
?>

<style>
label {width:40%;}
 </style>

<form action="update_experience.php?tab=3" method="POST" class="valid_form">
	<input type="hidden" name="id_experience" value="<?php echo $id_experience;?>"/>
	
	<label>* Entreprise : </label>
		<input type="text" name="entreprise" required="required" value="<?php echo $entreprise;echo $date_fin;?>"/><br><br>
	<label>* Secteur d'activité : </label>
		<?php echo $_SELECT['select']['secteur_activite'];?><br><br>
	<label>* Taille de l'entreprise : </label>
		<?php echo $_SELECT['select']['taille_entreprise'];?><br><br>
	<label>* Fonction exercée : </label>
		<input type="text"  value="<?php echo $fonction;?>" name="fonction" id="fonction" required="required"/><br><br>
	<label>* CSP : </label>
		<?php echo $_SELECT['select']['csp'];?><br><br>
	<label>* Début d'exercice : </label>
		<?php echo $_SELECT['select']['debut_mois'];?><?php echo $_SELECT['select']['debut_annee'];?><br><br>
	<label>Fin d'exercice : </label>
		<?php echo $_SELECT['select']['fin_mois'];?><?php echo $_SELECT['select']['fin_annee'];?>
		<span style="margin:0 20px;"><b>OU</b></span>
		En cours : <input type="checkbox" name="en_cours" id="en_cours" <?php echo $en_cours;?>/><br><br>
	<label>* Lieu d'exercice : </label>
		<input type="text"  value="<?php echo $lieu;?>" name="lieu" required="required"/><br><br>
	<label>Descriptif du poste : </label><textarea style="width:220px;vertical-align:top;" name="descriptif"><?php echo $descriptif;?></textarea><br><br>
	<label></label><input class="bg-red" type="submit" value="Valider" />
</form>


<script>
// DATE INPUT
	// fr
	$.tools.dateinput.localize("fr",  {
	   months:        'janvier,fevrier,mars,avril,mai,juin,juillet,' +
					  'aout,septembre,octobre,novembre,decembre',
	   shortMonths:   'jan,f&eacute;v,mar,avr,mai,jun,jul,' +
					  'aou,sep,oct,nov,dec',
	   days:          'dimanche,lundi,mardi,mercredi,jeudi,vendredi,samedi',
	   shortDays:     'dim,lun,mar,mer,jeu,ven,sam'
	});

	// initialization
	$(":date").dateinput({
		lang: 'fr',
		format: 'mm / yyyy',
		selectors: true,
		offset: [0, 0]
	});

	function duree_experience(){
		$('.valid_form').submit(function(e){
			
			var debut_mois	= $('#debut_mois').val();
			var fin_mois	= $('#fin_mois').val();
			var debut_annee = $('#debut_annee').val();
			var fin_annee	= $('#fin_annee').val();
			
			if( $('#en_cours').attr('checked') ){
				return true;
			}
			else if (debut_annee > fin_annee){
				return false;
				alert("Il y a une erreur dans les dates, veuillez les modifier");
			}
			else if (debut_annee == fin_annee && debut_mois >= fin_mois){
				return false;
				alert("Il y a une erreur dans les dates, veuillez les modifier");
			}
			else{
				return true;
			}
		})
	}

	$(window).load(duree_experience());
</script>

